If Broker agent and Desktop agent are 6.1 or earlier version, disable TLS on the adapter.

TLS 1.2 is enforced by default in vRealize Operations for Horizon 6.3 and above. The adapter cannot communicate with older Desktop agents 6.1 or 6.0 running with TLS 1.0 VDI Pools, RDS Pools, or Apps running with older desktop Agents. To monitor pools running with older Desktop agents, log in to vRealize Operations for Horizon collector node and add enforcesslprotocols = false to the /usr/lib/vmware-vcops/user/plugins/inbound/V4V_adapter3/work/msgserver.properties file. Restart he vRealize Operations for Horizon adapter. Broker agent and Horizon adapter instance pairing might be required.

If the Desktop agent is not sending data to the adapter, there could be a problem with disk space for that particulate desktop VM.

Broker agent version 6.1 might cause CPU performance issues. This might be related to Horizon View event db. Check the Horizon View version and upgrade to Horizon 6.2 or later.